Package it.ernytech.tdlib

## Class TdApi.CallProtocol

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.CallProtocol

Enclosing class:
  TdApi

    public static class TdApi.CallProtocol
    extends TdApi.Object

Specifies the supported call protocols.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `maxLayer` Maximum supported API layer; use 65.
`int` `minLayer` Minimum supported API layer; use 65.
`boolean` `udpP2p` True, if UDP peer-to-peer connections are supported.
`boolean` `udpReflector` True, if connection through UDP reflectors is supported.

### Constructor Summary

Constructors
`CallProtocol()` Default constructor.
`CallProtocol​(boolean udpP2p, boolean udpReflector, int minLayer, int maxLayer)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### udpP2p

    public boolean udpP2p

True, if UDP peer-to-peer connections are supported.

#### udpReflector

    public boolean udpReflector

True, if connection through UDP reflectors is supported.

#### minLayer

    public int minLayer

Minimum supported API layer; use 65.

#### maxLayer

    public int maxLayer

Maximum supported API layer; use 65.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CallProtocol

    public CallProtocol()

Default constructor.

#### CallProtocol

    public CallProtocol​(boolean udpP2p,
                        boolean udpReflector,
                        int minLayer,
                        int maxLayer)

Constructor for initialization of all fields.

Parameters:
  `udpP2p` - True, if UDP peer-to-peer connections are supported.
  `udpReflector` - True, if connection through UDP reflectors is supported.
  `minLayer` - Minimum supported API layer; use 65.
  `maxLayer` - Maximum supported API layer; use 65.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR